### Function

# Gio NetworkAddress parse_uri

since: 2.26

#### Declaration [src]

    GSocketConnectable*
    g_network_address_parse_uri (
      const gchar* uri,
      guint16 default_port,
      GError** error
    )

#### Description [src]

Creates a new `GSocketConnectable` for connecting to the given `uri`. May fail and return `NULL` in case parsing `uri` fails.

Using this rather than `g_network_address_new()` or `g_network_address_parse()` allows `GSocketClient` to determine when to use application-specific proxy protocols.

Available since: 2.26

#### Parameters

`uri`

  Type: `const gchar*`

  The hostname and optionally a port.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_port`

  Type: `guint16`

  The default port if none is found in the URI.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GNetworkAddress`

The new `GNetworkAddress`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.